A thing without references with categories

!!! BEWARE !!! `T` should be a union type - e.g. `T = 'foo' | 'bar' | 'foobar';`

### Type parameters

- #### T

- #### U: SCThingWithCategoriesSpecificValues

### Hierarchy

- SCThing
  - SCThingWithCategoriesWithoutReferences
    - SCAcademicEventWithoutReferences
    - SCArticleWithoutReferences
    - SCBuildingWithoutReferences
    - SCCatalogWithoutReferences
    - SCDishWithoutReferences
    - SCPointOfInterestWithoutReferences
    - SCRoomWithoutReferences
    - SCSettingWithoutReferences
    - SCToDoWithoutReferences

## Index

### Properties

- alternateNames
- categories
- categorySpecificValues
- description
- image
- name
- origin
- translations
- type
- uid
- url

## Properties

### Optional alternateNames

alternateNames: string[]

Inherited from SCThing.alternateNames

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1558

Alternate names of the thing

### categories

categories: T[]

- Defined in node_modules/@openstapps/core/lib/index.d.ts:674

Categories of a thing with categories

### Optional categorySpecificValues

categorySpecificValues: SCMap<U>

- Defined in node_modules/@openstapps/core/lib/index.d.ts:680

Use this to explicitly override general opening hours brought in scope by openingHoursSpecification or openingHours

A map from categories to their specific values.

### Optional description

description: undefined | string

Inherited from SCThing.description

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1564

Description of the thing

minlength

  1

### Optional image

image: undefined | string

Inherited from SCThing.image

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1568

Image of the thing

### name

name: string

Inherited from SCThing.name

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1574

Name of the thing

minlength

  1

### origin

origin: SCThingRemoteOrigin | SCThingUserOrigin

Inherited from SCThing.origin

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1578

Origin of the thing

### Optional translations

translations: SCTranslations<SCThingWithCategoriesTranslatableProperties>

Overrides SCThing.translations

- Defined in node_modules/@openstapps/core/lib/index.d.ts:684

Translated fields of a thing with categories

### type

type: SCThingType

Inherited from SCThing.type

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1588

Type of the thing

### uid

uid: SCUuid

Inherited from SCThing.uid

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1592

Universally unique identifier of the thing

### Optional url

url: undefined | string

Inherited from SCThing.url

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1596

URL of the thing

Generated using TypeDoc